// - - - - - Start der Updateroutine - - - - -
function updatdown(x){
	//x = ausgabe oder nicht
	
	
	// - - - - System.Gadget.Settings-Variablenanweisungen downloaden - - - -
	
	var xml = new XMLHttpRequest();
	xml.open('GET', "http://dahi24.da.funpic.de/autoupdate/updateanweis.php?programm=Denk-Daran&version="+System.Gadget.version);
	xml.onreadystatechange = function (){ 

		if(xml.readyState == 4){
			if(xml.status != "200"){
				if(x == 1) document.getElementById("updat").innerHTML="<span style=\"color:red; font-size:12pt; font-weight:bold\">"+noverb+xml_error+"</span>";
			}
			else{
				if(x == 1) document.getElementById("updat").innerHTML="<span style=\"font-size:12pt; font-weight:bold\">"+anwdown+"</span>";
				
				
				var ext = document.createElement("script");
				ext.language = "javascript";
				ext.type = "text/javascript";
				ext.text = xml.responseText;
				
				//script schreiben, bzw. ersetzen
				document.getElementById("updatecode").replaceChild(ext, document.getElementById("updatecode").firstChild);
				
				
				// - - - - ZIP-Datei downloaden - - - -
				
				//dateinamen
				ZipName = System.Gadget.path + "\\update.zip";
				ExpandTo = System.Gadget.path + "\\update";
			
				
				if(x == 1) document.getElementById("updat").innerHTML="<span style=\"font-size:12pt; font-weight:bold\">"+verher+"</span>";
				
				var xml2 = new XMLHttpRequest();
				xml2.open('GET', "http://dahi24.da.funpic.de/autoupdate/update.php?programm=Denk-Daran");
				xml2.onreadystatechange = function (){ updatdown_auswert(xml2, x) };
				
				xml_error = "";
	
				try{
					xml2.send(null);
				}
				catch(e){
					xml_error = "<br><br>"+freprx;
				}
				
			}
		}

	}
	
	xml_error = "";
	
	try{
		xml.send(null);
	}
	catch(e){
		xml_error = "<br><br>"+freprx;
	}
}


function updatdown_auswert(x, y) {
 	if(x.readyState == 4){
		if(x.status != "200"){
			if(y == 1) document.getElementById("updat").innerHTML="<span style=\"color:red; font-size:12pt; font-weight:bold\">"+noverb+xml_error+"</span>";
		}
		else{
		
			if(y == 1){
				document.getElementById("updat").innerHTML="<span style=\"font-size:12pt; font-weight:bold\">"+upwiher+"</span>";
				document.getElementById("upsuch1").disabled = true;
			}
			
			//zip-datei herunterladen
			binaryfilewriter(x.responseBody);
			
			if(y == 1) document.getElementById("updat").innerHTML="<span style=\"font-size:12pt; font-weight:bold\">"+upwient+"</span>";
			
			//datei entpacken
			entpacker();
			
			if(y == 1) document.getElementById("updat").innerHTML="<span style=\"font-size:12pt; font-weight:bold\">"+upneust+"</span>";

			System.Gadget.Settings.write("updatestat", 1);
		}
	}
}


function updater(){
	//Achtung: Nur wenn die Sidebar ordnungsgemäß beendet wird, sind die System.Gadget.Settings-Variablen verfügbar
	//nicht ordnungsgemäß ist: Prozess per Taskmanager beenden (onunload wird nicht mehr ausgeführt), Gadget schließen (hier werden die Variablen beim beenden gleich gelöscht)
	if(readGadgetSetting("updatestat") == 1){
		
		fso = new ActiveXObject ("Scripting.FileSystemObject");
		
		if(fso.FolderExists(System.Gadget.path + "\\update") == true){
			fso.CopyFolder(System.Gadget.path + "\\update", System.Gadget.path, true);
			fso.DeleteFolder(System.Gadget.path + "\\update", true);
			
			System.Gadget.Settings.write("updatestat", 2); //update abgeschlossen
			System.Gadget.Settings.write("upmeld", true); //updatemeldung wieder aktivieren, falls deaktiviert
		}
		else System.Gadget.Settings.write("updatestat", 0); //updateordner nicht vorhanden, update abgebrochen
		
	}
	
}